package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum LetterStatusEnum implements BaseEnum {

    SEND("SEND","待执行"),
    WAIT("WAIT","待发送"),
    WAIT_EXAMINE("WAIT_EXAMINE","待审核"),
    EXECUTED("EXECUTED","已执行"),
    REVOKE("REVOKE","已撤销"),
    REDUCTION("REDUCTION","已减免"),
    CANCEL("CANCEL","已作废"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
